Skip to main content

Projects

Retrieve projects.


Projects​

MX Deposit API

Version: 0.1.0

Returns the list of projects, including their activities and grids. Only the projects with at least one activity that the user can access are returned.

Servers
https://app.mxdeposit.net

Parameters

Your credentials. Use the API key (legacy), or Bearer followed by a Bentley IMS or Seequent ID access token.

Client ID, required only when authenticating with an API key.

Returns

200

OK

Identifier, a 24-character hexadecimal string.

Name of the project.

The activities of the project that are available to the user.

Identifier, a 24-character hexadecimal string.

Name of the activity.

type"point" | "drilling"

The coordinate grids enabled for the activity.

Identifier, a 24-character hexadecimal string.

Name of the grid.

Coordinate reference system code of the grid, for example EPSG:26717.

Whether the grid is the default grid of the activity.

Endpoint

GET
/api/v1/projects

Request

curl -X GET 'https://app.mxdeposit.net/api/v1/projects' \
-H 'Authorization: Bearer <ACCESS_TOKEN>'

Response

{
"Project": [
{
"name": "Exploration Project",
"_id": "588f8c84ac9ae4045dace173",
"activities": [
{
"grids": [
{
"code": "EPSG:26717",
"name": "NAD27 / UTM zone 17N",
"_id": "587d1d748ff4520477962b4d",
"is_default": false
}
],
"name": "Geotechnical Drilling",
"_id": "58a5e42bad800944a3411a72",
"type": "drilling"
}
]
}
]
}

Was this page helpful?